Subject: [Drip] HITs and HHITs as valid IPv6 addresses in 'draft-ietf-drip-rid'

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 12 Jan 2021 16:56:50 +0000

Hi, in the draft it says in a couple of places that HITs and HHITs are "valid IPv6 addresses".
But, in RFC8200, "address" is defined as follows:

   address      an IPv6-layer identifier for an interface or a set of interfaces.

So, the HIT/HHIT cannot be called a "valid IPv6 address" unless it is also associated
with an interface or a set of interfaces.

The simple and effective fix for this is to, in the document, state that the HIT/HHIT
will always be assigned to a virtual interface of the device (e.g., loopback, etc.).
With that simple fix, I believe the statement that the HIT/HHIT is a valid IPv6
address is supported; without it, I do not believe the claim can be made.

Thanks - Fred

---

From: "Card, Stu" <[email-masked]>
Date: Tue, 12 Jan 2021 12:13:50 -0500

Interesting point Fred.

One (sophist?) definition would be that a [H]HIT is associated with the set
of virtual interfaces used by the host for HIP (e.g. hip0, hip1), with the
caveat that these are not always up.

This is not really different from a DHCP reservation associated with a
wireless interface on a mobile host, inc. one that connects to different
routers so only gets that address when it connects to the router configured
with that DHCP reservation.

Do you consider that sufficient?

On Tue, Jan 12, 2021, 11:57 AM Templin (US), Fred L <
[email-masked]> wrote:

> --
> Tm-rid mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tm-rid
>
>

---

From: Robert Moskowitz <[email-masked]>
Date: Tue, 12 Jan 2021 12:40:29 -0500

HITs have always been associated with a virtual interface.  No problem 
there.

RFC 8200 post-dates RFC 5201 and 7201 definitions of HITs, so minimally 
HITs are grandfathered in as valid IPv6 addresses.

So the question is HHITs and how do they map into this 8200 definition.

The answer to this is HHITs are associated with a virtual interface that 
may be down or not.

I will add text on this.

On 1/12/21 12:13 PM, Card, Stu wrote:
> Interesting point Fred.
>
> One (sophist?) definition would be that a [H]HIT is associated with 
> the set of virtual interfaces used by the host for HIP (e.g. hip0, 
> hip1), with the caveat that these are not always up.
>
> wireless interface on a mobile host, inc. one that connects to 
> different routers so only gets that address when it connects to the 
> router configured with that DHCP reservation.
>
> On Tue, Jan 12, 2021, 11:57 AM Templin (US), Fred L 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/tm-rid>
>
>

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit

---

From: Michael Richardson <[email-masked]>
Date: Tue, 12 Jan 2021 20:12:37 -0500

> address is supported; without it, I do not believe the claim can be made.

Well, that seems like arbitrarily dumb bureaucracy.
Of course, we can write that down, but since nobody can check, we should just
nod and smile.

Anyway, it says that it's "for an interface", but, that doesn't mean it has
to be *on* an interface :-)

Oh, and multicast and anycast addresses might never be on an interface.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 14 Jan 2021 17:03:43 +0000

Michael, RFC4291 says the following:

   "IPv6 addresses of all types are assigned to interfaces, not nodes.
   An IPv6 unicast address refers to a single interface.  Since each
   interface belongs to a single node, any of that node's interfaces'
   unicast addresses may be used as an identifier for the node."

Note that it clearly states that: "An IPv6 *unicast* address refers to a
singe interface." - so, this is about IPv6 unicast addresses (which could
be GUA, ULA or LLA) and not multicast or others.

Fred

> -----Original Message-----
> From: Michael Richardson [mailto:[email-masked]]
> Sent: Tuesday, January 12, 2021 5:13 PM
> To: Templin (US), Fred L <[email-masked]>
> Cc: [email-masked]; Dickson (US), Sean M <[email-masked]>
> Subject: [EXTERNAL] Re: [Drip] HITs and HHITs as valid IPv6 addresses in 'draft-ietf-drip-rid'
> 
>

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 14 Jan 2021 20:55:37 -0500

Then there is rfc 6250 that shows how some of these assumptions about 
addresses and interfaces is not so simple.

:)